{% extends "base.twig" %}

{% block content %}
	<h1>Podcasts</h1>

  <div class="template-grid">
	{# {% cache 'podcasts/content' podcasts %} #}
		{% for podcast in podcasts %}
			<div class="max-w-sm rounded overflow-hidden shadow-lg">
				<div class="px-6 py-4">
					<h2 class="font-bold text-lg mb-2">{{ TimberPost(podcast.emission).title }}</h2>
					<p class="text-gray-700 text-base">Emission du {{ podcast.date_diffusion | date("d/m/Y") }}</p>
					<audio class="w-full"
						controls
						src="{{ podcast.url }}">
								Your browser does not support the
								<code>audio</code> element.
					</audio>
				</div>
				<div class="px-6 py-4">
					<span class="inline-block bg-gray-200 rounded-full px-3 py-1 text-sm font-semibold text-gray-700 mr-2"><a href="{{ TimberPost(podcast.emission).link }}">Voir l'émission</a></span>
				</div>
			</div>
		{% endfor %}
	{# {% endcache %} #}
	</div>
	
	{% include 'partial/pagination.twig' with { pagination: podcasts.pagination({show_all: false, mid_size: 3, end_size: 2}) } %}
{% endblock %}
